corda / net.corda.flows / NotaryFlow / Client / <init>

# <init>

`Client(stx: SignedTransaction)`

`Client(stx: SignedTransaction, progressTracker: ProgressTracker)`

A flow to be used by a party for obtaining signature(s) from a NotaryService ascertaining the transaction timestamp is correct and none of its inputs have been used in another completed transaction.

In case of a single-node or Raft notary, the flow will return a single signature. For the BFT notary multiple signatures will be returned – one from each replica that accepted the input state commit.

### Exceptions

`NotaryException` - in case the any of the inputs to the transaction have been consumed by another transaction or the timestamp is invalid.